#pragma once
#include "../base/interface.hpp"

namespace lsp::provider::window
{
    class LogMessage : public INotificationProvider
    {
    public:
        LogMessage() = default;

        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        void HandleNotification(const protocol::NotificationMessage& notification, ExecutionContext& context) override;
    };
}
